Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.etee.ra.aqdr._1_0.protocol
Class ObjectFactory

    java.lang.Object
      be.fgov.ehealth.etee.ra.aqdr._1_0.protocol.ObjectFactory

    public class ObjectFactory

extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.etee.ra.aqdr._1_0.protocol package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.etee.ra.aqdr._1_0.protocol

Method Summary
`EHActorQualitiesDataRequest` | `createEHActorQualitiesDataRequest()` Create an instance of `EHActorQualitiesDataRequest`
`EHActorQualitiesDataResponse` | `createEHActorQualitiesDataResponse()` Create an instance of `EHActorQualitiesDataResponse`
`Identifier` | `createIdentifier()` Create an instance of `Identifier`
`LegalPerson` | `createLegalPerson()` Create an instance of `LegalPerson`
`NaturalPerson` | `createNaturalPerson()` Create an instance of `NaturalPerson`
`Organization` | `createOrganization()` Create an instance of `Organization`
`Quality` | `createQuality()` Create an instance of `Quality`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.etee.ra.aqdr._1_0.protocol

Method Detail

### createEHActorQualitiesDataResponse

    public EHActorQualitiesDataResponse createEHActorQualitiesDataResponse()

  Create an instance of `EHActorQualitiesDataResponse`

### createLegalPerson

    public LegalPerson createLegalPerson()

  Create an instance of `LegalPerson`

### createNaturalPerson

    public NaturalPerson createNaturalPerson()

  Create an instance of `NaturalPerson`

### createEHActorQualitiesDataRequest

    public EHActorQualitiesDataRequest createEHActorQualitiesDataRequest()

  Create an instance of `EHActorQualitiesDataRequest`

### createQuality

    public Quality createQuality()

  Create an instance of `Quality`

### createOrganization

    public Organization createOrganization()

  Create an instance of `Organization`

### createIdentifier

    public Identifier createIdentifier()

  Create an instance of `Identifier`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.